import { RangeCategorySeriesDescription } from "./RangeCategorySeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class HorizontalRangeCategorySeriesDescription extends RangeCategorySeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ff;
    get xAxisRef(): string;
    set xAxisRef(a: string);
    private fg;
    get yAxisRef(): string;
    set yAxisRef(a: string);
    private fd;
    get lowMemberAsLegendLabel(): string;
    set lowMemberAsLegendLabel(a: string);
    private fb;
    get highMemberAsLegendLabel(): string;
    set highMemberAsLegendLabel(a: string);
    private fe;
    get lowMemberAsLegendUnit(): string;
    set lowMemberAsLegendUnit(a: string);
    private fc;
    get highMemberAsLegendUnit(): string;
    set highMemberAsLegendUnit(a: string);
}
